Groovy 1.7.0

## org.codehaus.groovy.runtime.wrappers
Class GroovyObjectWrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper
          org.codehaus.groovy.runtime.wrappers.GroovyObjectWrapper

    class GroovyObjectWrapper
    extends Wrapper

author:
  John Wilson

Field Summary
`protected GroovyObject` | `wrapped`

Fields inherited from class Wrapper
constrainedType, delegatingMetaClass

Constructor Summary
`GroovyObjectWrapper(GroovyObject wrapped, Class constrainedType)`

Method Summary
`protected MetaClass` | `getDelegatedMetaClass()`
`Object` | `getProperty(String property)` Note the rest of these method will only be used post 1.0
`protected Object` | `getWrapped()`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`
`Object` | `unwrap()`

Methods inherited from class Wrapper
getDelegatedMetaClass, getMetaClass, getType, getWrapped, unwrap

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### wrapped

    protected final GroovyObject wrapped

Constructor Detail

### GroovyObjectWrapper

    public GroovyObjectWrapper(GroovyObject wrapped, Class constrainedType)

Method Detail

### getDelegatedMetaClass

    protected MetaClass getDelegatedMetaClass()

### getProperty

    public Object getProperty(String property)

  Note the rest of these method will only be used post 1.0

### getWrapped

    protected Object getWrapped()

### invokeMethod

    public Object invokeMethod(String name, Object args)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)

### unwrap

    public Object unwrap()

Copyright © 2003-2009 The Codehaus. All rights reserved.